%define _sysconfdir /etc

%define name a2ps
%define version 4.13
%define release 5mdk

Summary: Converts text and other types of files to PostScript(TM).
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Publishing
Source: %{name}-%{version}b.tar.bz2 
Prereq: /sbin/install-info
Url: http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%package devel
Summary: Converts text and other types of files to PostScript(TM)
Group: Publishing
Requires: %{name}

%description devel
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

This package hold include files & static libraries.

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q ${name}-%{version}

%configure --with-included-gettext

%build
%make

%install
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info a2ps.info
%_install_info ogonkify.info
%_install_info regex.info

%post devel -p /sbin/ldconfig

%preun
%_remove_install_info a2ps.info
%_remove_install_info ogonkify.info
%_remove_install_info regex.info

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%config %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS COPYING NEWS README TODO THANKS
%{_bindir}/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%{_datadir}/a2ps/
%{_datadir}/ogonkify/
%{_datadir}/emacs/site-lisp/a2ps-print.el
%{_datadir}/emacs/site-lisp/a2ps.el

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/*
%{_includedir}/*

%changelog
* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.13-5mdk
- rebuild

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.13-4mdk
- BM

* Mon Jul 17 2000 Anton Graham <darkimage@bigfoot.com> 4.13-3mdk
- Ugh.  Fix %post and %preun (my fault :( )
- move ldconfig (%post and %postun) to -devel

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.13-2mdk
- split package in normal & -devel one
- Anton Graham <darkimage@bigfoot.com> : macroification (good work)

* Mon May 29 2000 Anton Graham <darkimage@bigfoot.com> 4.13-1mdk
- v4.13
- use %{_tmppath}

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.12-2mdk
- fix group
- bz2 info pages
- fix permission on sources

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v4.12
- build for mandrake

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- fixed problems with missing dirs as reported in bug 3822
- built for powertools

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- rebuilt for powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- add a2ps-site.cfg

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- update to 4.12 for Powertools 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- narrower range of %files splats.
- install info correctly.
- new description/summary text.

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated source

* Sat Jul 04 1998 Michael Maher <mike@redhat.com>
- built package
